:host ::ng-deep {


    .main-color {
        color: #555;
    }

    .second-color {
        font-size: 12px;
        color: #99a1ab;
    }

    .bold {
        font-weight: 600;
    }

    .svg-container {
        width: 0;
        height: 0;
    }

    .mat-tab-group-diet {
        background: white;
        margin-top: -2rem;

        >.mat-mdc-tab-header {
            background: #fff;
            border-bottom: none;
            max-width: 1200px;
            width: 100%;
            margin: 0 auto;
            display: flex;

            .mdc-tab__text-label {
                font-weight: 600;
            }

            .mdc-tab--active {
                opacity: 1 !important;
            }

            .mdc-tab {
                z-index: 1;
                min-width: 160px;

                >.mdc-tab__ripple {
                    display: none;
                }


                &.mdc-tab-indicator--active::before {
                    display: block;
                    content: "";
                    left: 0;
                    background: #f5f7f8;
                    bottom: 0;
                    width: 100%;
                    height: 48px;
                    position: absolute;
                    clip-path: url(#menu);
                    z-index: 1;
                    padding: 0;
                    margin: 0;
                    border: none;
                }


                .mdc-tab-indicator .mdc-tab-indicator__content.mdc-tab-indicator__content--underline {
                    bottom: 0;
                    border-color: #aa3274 !important;
                    z-index: 2;
                    width: 36px;
                    border-width: 4px;
                    border-radius: 2px;
                }



            }


        }

        >.mat-mdc-tab-body-wrapper {
            padding-top: 2rem;
            background-color: #f5f7f8;
            min-height: 100vh;
        }
    }




    .page {

        >header>.container {

            >.content {

                .mat-mdc-chip.goal {
                    background-color: #f0f5ff;

                    .mat-icon,
                    .mat-mdc-chip-action-label {
                        color: #5282e3;
                        font-weight: 500;
                    }

                }

                .mat-mdc-chip.tag {
                    background-color: #fdf5f1;

                    .mat-icon,
                    .mat-mdc-chip-action-label {
                        color: #ed8d7b;
                        font-weight: 500;
                    }


                    svg * {
                        fill: #ed8d7b !important;
                    }
                }

                .mat-mdc-chip.add-tag {
                    background-color: #fcf1f7;

                    .mat-icon,
                    .mat-mdc-chip-action-label {
                        color: #b9558c;
                        font-weight: 500;
                    }
                }
            }

            >.diet-options {
                display: flex;
                gap: 8px;
            }
        }

        .mat-mdc-tab-body-content {
            display: flex;
            justify-content: center;

            .container {
                justify-content: center;
                display: flex;
                width: 100%;
                gap: 8px;

                >.diet-viewer {
                    flex: 1;

                    >.diet-template-info {
                        display: flex;
                        justify-content: space-between;
                        align-items: center;
                        margin: 0 22px;

                        >*:first-child,
                        *:last-child {
                            flex: 0 0 220px;

                            >button {
                                width: 100%;
                            }
                        }

                        >.diet-info {
                            margin: 2rem 10px 0;
                            text-align: center;
                            flex-direction: column;

                            >.diet-name {
                                font-weight: 600;
                            }
                        }
                    }


                    .bin-action {
                        width: 56px;
                        height: 56px;
                        color: white;
                        position: fixed;
                        bottom: 100px;
                        margin: 0 auto;
                        z-index: 99999;
                        left: calc(265px + 33%);
                    }
                }


                >.diet-tools {
                    align-self: flex-start;
                    min-width: 400px;
                    display: flex;
                    flex-direction: column;
                    top: 0;
                    gap: 8px;
                    flex: 1;

                    > .fixed {
                        width: 400px;
                        display: flex;
                        flex-direction: column;
                        gap: 8px;

                        &.sticky {
                            top: 8px;
                            position: fixed;
                        }
                    }
                }

                .today-diet__info {
                    h1 {
                        margin: 0;
                    }
                }

                .today-diet__table {
                    min-height: 60px;
                    display: block;
                    border-radius: 4px;
                    overflow: hidden;
                    flex: 1;
                }
            }
        }


    }

    .meal-plan {
        border: solid 1px rgb(0 0 0 / 19%);
        color: rgba(0, 0, 0, 0.87);
        display: -webkit-box;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        box-sizing: border-box;
        margin: 10px 10px 20px 10px;
        font-size: 14px;
        box-shadow: -1px 2px 15px -3px rgba(0, 0, 0, 0.01), 0 4px 6px -2px rgba(0, 0, 0, 0.12);
        border-radius: 7px;

        &:first-child {
            margin-top: 0px;
        }

        >.meal-plan-placeholder {
            background: #ccc;
            border: dotted 3px #999;
            min-height: 60px;
            transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
        }

        .meal-plan__info {
            padding: 20px 10px;
            display: flex;
            flex-direction: row;
            position: relative;
            border-radius: 7px;
            align-items: center;
            justify-content: space-between;
            background: #ffffff;

            &::before {
                content: "";
                position: absolute;
                background: url('https://d2gg9evh47fn9z.cloudfront.net/800px_COLOURBOX25892582.jpg');
                background-color: transparent;
                z-index: 1;
                top: 0;
                bottom: 0;
                left: 0;
                right: 0;
                opacity: 0.1;
                border-radius: 7px;
            }

            &::after {
                content: "";
                background: linear-gradient(to top, rgb(255, 255, 255) 0%, rgba(0, 0, 0, 0) 20%);
                z-index: 0;
                position: absolute;
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                border-radius: 7px;
            }



            >.mat-icon {
                display: block;
                cursor: move;
                z-index: 1;
            }

            >span {
                text-transform: uppercase;
                padding: 2px 11px;
                border-radius: 3px;
                border: 1px solid #e0e0e0;
                background: white;
                font-size: 12px;
                z-index: 2;
                margin-left: 10px;
                margin-right: auto;
            }


            .actions-meal {
                position: absolute;
                top: 0;
                right: 0;
                z-index: 2;

                >button {
                    line-height: 20px;
                    opacity: 0.7;
                    transition: .13s all ease-in-out;
                    box-shadow: none;

                    &:hover {
                        opacity: 1;
                        box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.2), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 1px 5px 0px rgba(0, 0, 0, 0.12);
                    }

                    &.add-meal-option {
                        border-radius: 0 6px 0 6px;
                    }

                    /* 
                &.delete-meal {
                    border-radius: 0 0 6px 6px;
                    margin-right: 0.5rem;
                } */
                }
            }
        }


        .meal-option-plan {
            .actions-meal-option {
                background: #3f51b5;
                color: white;
                padding: 0 0 0 12px;
                height: 30px;
                display: flex;
                align-items: center;

                >button {
                    line-height: 30px;
                    margin: 0;
                    padding: 0 12px;
                    border-radius: 0;
                    opacity: 0.8;
                    transition: .13s all ease-in-out;

                    &:hover {
                        opacity: 1;
                    }
                }
            }

            .meal-plan__summary-foods {
                padding: 1rem;
                background: white;
            }

            .meal-plan__foods {
                position: relative;

                &.disabled::after {
                    z-index: 100;
                    content: "";
                    position: absolute;
                    top: 0;
                    bottom: 0;
                    left: 0;
                    right: 0;
                    background-color: rgb(255 255 255 / 64%);
                }
            }

        }

    }

    .delete-meal-button {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        bottom: 20px;
    }

    button.example-custom-date-class {
        background: orange;
        border-radius: 100%;
    }


    button.current-day>.mat-calendar-body-cell-content {
        background-color: rgb(233 30 99);
        color: white;
    }
}